Subject: Re: cvs2svn conversion directly to git ready for experimentation

From: Simon 'corecode' Schubert <[email-masked]>
Date: Fri, 03 Aug 2007 00:50:43 +0200

Steffen Prohaska wrote:
>> yah, that pretty much tells me it is shawn's bug :)  but without more 
>> details, it is very hard to diagnose.
> 
> I tried again. Interestingly now togit works but tohg still fails.
> 
> togit starts with reporting
> 
> fatal: Not a valid object name

that's fine.

> as the first line. But besides that it seems to work fine. What
> concerns me a bit is that the last line togit reports is
> 
> committing set 18100/18173
> 
> I'd expect it should report 18173/18173.

that's fine as well.  You only saw multiples of 100, but you didn't consider it would skip the itermediate ones, right? :)

> BTW, togit creates much more complex branching patterns than cvs2svn
> does. The attached file branching.png displays a small view of a
> branching pattern that extends downwards over a couple of screens.
> I checked the cvs2svn history again. It doesn't contain anything
> of similar complexity.

haha yea, there is still some issue with duplicate branch names and the branchpoint.  if it doesn't get the branch right, it will always "pull" files from the parent branch.

did you do some manual RCS file copying or manual branch name changing of individual files?  this could be the reason.  I still have to find a simple repo to reproduce this.

> tohg fails (on the same repo that togit imported) with the
> following error
[..]
> AssertionError: failed to remove X/Y.cpp from manifest

This is a mercurial 0.9.3 error, as far as I can tell from the reports.  This never occured here, and nobody reporting to me could ever reproduce this problem to pinpoint it.

cheers
  simon

-- 
Serve - BSD     +++  RENT this banner advert  +++    ASCII Ribbon   /"\
Work - Mac      +++  space for low €€€ NOW!1  +++      Campaign     \ /
Party Enjoy Relax   |   http://dragonflybsd.org      Against  HTML   \
Dude 2c 2 the max   !   http://golden-apple.biz       Mail + News   / \